com.google.cloud.dataflow.sdk.runners

## Interface PipelineRunnerRegistrar

All Known Implementing Classes:
  DataflowPipelineRegistrar.Runner, DirectPipelineRegistrar.Runner, InProcessRegistrar.InProcessRunner, TemplatingDataflowPipelineRunner.Runner

    public interface PipelineRunnerRegistrar

`PipelineRunner` creators have the ability to automatically have their `PipelineRunner` registered with this SDK by creating a `ServiceLoader` entry and a concrete implementation of this interface.

Note that automatic registration of any `PipelineOptions` requires users conform to the limit that each `PipelineRunner`'s `simple name` must be unique.

It is optional but recommended to use one of the many build time tools such as `AutoService` to generate the necessary META-INF files automatically.

### Method Summary

All Methods Instance Methods Abstract Methods
`Iterable<Class<? extends PipelineRunner<?>>>` `getPipelineRunners()` Get the set of `PipelineRunners` to register.

### Method Detail

#### getPipelineRunners

    Iterable<Class<? extends PipelineRunner<?>>> getPipelineRunners()

Get the set of `PipelineRunners` to register.